Debian Bug report logs - #726414
ITP: libfailures-perl -- minimalist exception hierarchy generator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 <daxim@cpan.org>

Date: Tue, 15 Oct 2013 15:30:02 UTC

Owned by: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>

Severity: wishlist

Fixed in version libfailures-perl/0.002-1

Done: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org, Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>:
Bug#726414; Package wnpp. (Tue, 15 Oct 2013 15:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 <daxim@cpan.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org, Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>. (Tue, 15 Oct 2013 15:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 <daxim@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libfailures-perl -- minimalist exception hierarchy generator
Date: Tue, 15 Oct 2013 17:26:02 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libfailures-perl
  Version         : 0.002
  Upstream Author : David Golden <dagolden@cpan.org>
* URL             : https://metacpan.org/release/failures
* License         : Apache-2.0
  Programming Lang: Perl
  Description     : minimalist exception hierarchy generator

This module lets you define an exception hierarchy quickly and simply.

Here were my design goals:

 • minimalist interface
 • 80% of features in 20% of lines of code
 • depend only on core modules (nearly achieved)
 • support hierarchical error types
 • identify errors types by name (class) not by parsing strings
 • leave (possibly expensive) trace decisions to the thrower


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 29 Nov 2013 12:45:11 GMT) Full text and rfc822 format available.

Reply sent to Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>:
You have taken responsibility. (Mon, 09 Dec 2013 23:03:09 GMT) Full text and rfc822 format available.

Notification sent to Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 <daxim@cpan.org>:
Bug acknowledged by developer. (Mon, 09 Dec 2013 23:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 726414-close@bugs.debian.org (full text, mbox):

From: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>
To: 726414-close@bugs.debian.org
Subject: Bug#726414: fixed in libfailures-perl 0.002-1
Date: Mon, 09 Dec 2013 23:00:06 +0000
Source: libfailures-perl
Source-Version: 0.002-1

We believe that the bug you reported is fixed in the latest version of
libfailures-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726414@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org> (supplier of updated libfailures-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Oct 2013 16:06:47 +0200
Source: libfailures-perl
Binary: libfailures-perl
Architecture: source all
Version: 0.002-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Lars Dɪᴇᴄᴋᴏᴡ 迪拉斯 (CPAN/PAUSE) <daxim@cpan.org>
Description: 
 libfailures-perl - minimalist exception hierarchy generator
Closes: 726414
Changes: 
 libfailures-perl (0.002-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #726414)
Checksums-Sha1: 
 e85120f349d3366cfe691f76e8d1d68faab19049 2139 libfailures-perl_0.002-1.dsc
 75f013f9efcff9f07cdb6605f142a6194d8af259 17989 libfailures-perl_0.002.orig.tar.gz
 305970847e92417fbfdcc8a1e985a627153e5727 1855 libfailures-perl_0.002-1.debian.tar.gz
 df6946bd1822aa4bd742c5afc301e0b67dab4f7e 15722 libfailures-perl_0.002-1_all.deb
Checksums-Sha256: 
 fafc6ade056dbdcf87e085d7c5f02faea1e5bd7bdce26cccb8730a39270ab9af 2139 libfailures-perl_0.002-1.dsc
 25e9611455e4ac12c171fb8bd50cedc39b9f72c4096dea5ba5fe37e873f48f94 17989 libfailures-perl_0.002.orig.tar.gz
 5b1f3029e7161c0fe7853d6a42dce0934f0824bd171c5f5ab1f8d8e305f2e92e 1855 libfailures-perl_0.002-1.debian.tar.gz
 1aba7cbaddaae79f156170854d69bf7251e51b79ebe51ed38a2ffb4c785edb6b 15722 libfailures-perl_0.002-1_all.deb
Files: 
 fd694559ea4594d639eff64512fc8706 2139 perl optional libfailures-perl_0.002-1.dsc
 446ff0348c91d61e98e7d6933c4ec893 17989 perl optional libfailures-perl_0.002.orig.tar.gz
 f723d1a2ff82d8590b51b38c08a0a385 1855 perl optional libfailures-perl_0.002-1.debian.tar.gz
 48c323d61ddc3ef2c447e21fae183445 15722 perl optional libfailures-perl_0.002-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSmItEAAoJELs6aAGGSaoGFFAP/jVWhio7ZPJoNDe7tVwD2Swv
UBmezab3QFgF8/vLittU3Ah8uMJVIN1/HdaRS+tA2fyQfvTzcEc0t2+zs5d8rBM2
6cz5fNsFA444rsTPTL8Hoo3Ki8F3GjGHuXYA+Lrnz8gKzuLAFpva6qK4dySDf7zn
Lmi62DP9SbOLdZvfZEztsg/4FLsccnpJAIZ2AqKKYLEff5fYUuXBD5Uv0wh3kQMp
Lx5LFd3tElPNoRQYhIyxLsA5nrOedKoXzA7swl+BXZF4dC4qrHXXs/2W996irZMk
GeIQdfPhQu1Yrt8b+kAiaVjVQqtNfSsBDUPr3ooVW8agtgLwqMKZDK/Ux6vwcNJQ
LPYIWQBn40Ne43Z71DNommNSenrsENfA84fReFlxdjf85ip55HZGAxEY6y+0QY+Z
QlTP/+OwoWGId+HQiQiHPT1WXDHtKs9HOlM/LC5ckAhRsOkgWuyGMFnNTKJsMbYH
yS/eiVB5uSPZ2Xw2OGIPlqGPqftSshi9D8IhpZXArV5rGDjhUSG21Dc/sJUTomLs
wnAZMliOSSLQg6lqsgvcw9ct3L9tHu5BWwkwm60tWgIfg1Q4NIMDs9sKLr7KElZS
2JCGQe2vgIUIlA651QJqFHj4v6Xqg4Mq/gOZMSuCpKzw8ftHhVx0WMKTsquWSOlt
iJOkfitQnDMYZ8mOwOKl
=tv9A
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Jan 2014 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:07:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.